.TH msidiff 1 "December 21, 2014" msitools
.SH NAME
msidiff \- compare Windows Installer packages
.SH SYNOPSIS
.B msidiff
[<\fIoption\fP> [<\fIoption\fP> ...]] [<\fIdiff-options\fP>]
<\fIsource MSI\fP> <\fItarget MSI\fP>
.SH DESCRIPTION
.B msidiff
compares Windows Installer packages (.MSI files).
.PP
.SH OPTIONS
.IP "\fB\-t\fP, \fB\-\-tables\fP"
Compare MSI tables as text. This is the default.
.IP "\fB\-l\fP, \fB\-\-list\fP"
Compare the file lists in the packages.
.IP "\fB\-L\fP, \fB\-\-long\-list\fP"
Compare the detailed file lists in the packages.
.IP "\fB\-h\fP, \fB\-\-help\fP"
Print a help message and exit.
.IP "\fB\-v\fP, \fB\-\-version\fP"
Print version information and exit.
.PP
More than one of \fB\-t\fP, \fB\-l\fP or \fB\-L\fP may be specified.
.PP
<\fIdiff-options\fP> are passed to \fBdiff(1)\fP. The first repeated
argument of the above or the first argument starting with a `-' but
not a valid \fBmsidiff\fP option starts <\fIdiff-options\fP>, the
first argument not starting with `-' ends them. By default,
<\fIdiff-options\fP> is \fB\-Nup\fP for contents, \fB\-U0\fP for
others, and \fB\-r\fP which is always passed.
.SH AUTHORS
\fBmsidiff\fP was written by Ville Skyttä for Red Hat, Inc.
This manual page was adapted from the program usage information by
Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but
may be used by others). It was last modified for \fBmsidiff\fP
version 0.93.
